function [epsilon_star, privacy, utility]=configurator(ap,bp,cp,dp,au,bu,cu,du,weight,epsilon_up, epsilon_down)
% Copyright GIPSA-lab, Grenoble, France
% For all questions contact sophie.cerf@gipsa-lab.fr

    global weight_config;
    global ap_config;
    global bp_config;
    global cp_config;
    global dp_config;
    global au_config;
    global bu_config;
    global cu_config;
    global du_config;
    
    weight_config=weight;
    ap_config=ap;
    bp_config=bp;
    cp_config=cp;
    dp_config=dp;
    au_config=au;
    bu_config=bu;
    cu_config=cu;
    du_config=du;
    
    % Initialisation
    epsilon_init=1;
    
    % Find epsilon that minimise the error on objectives
    epsilon_star=fminunc(@f2min_config,epsilon_init);
    
    if epsilon_star<epsilon_down
        epsilon_star=epsilon_down;
    elseif epsilon_star>epsilon_up
        epsilon_star=epsilon_up;
    end
    
    utility=au*atan(bu*(log(epsilon_star)-cu))+du;
    privacy=ap*atan(bp*(log(epsilon_star)-cp))+dp;   
end