% function value = importfile3(filename, startRow, endRow)
 function [key_index,key,value] = import_experiement_file(filename, startRow, endRow)
%IMPORTFILE1 Import numeric data from a text file as column vectors.
%   [KEY_INDEX,KEY,VALUE] = IMPORTFILE1(FILENAME) Reads data from text file
%   FILENAME for the default selection.
%
%   [KEY_INDEX,KEY,VALUE] = IMPORTFILE1(FILENAME, STARTROW, ENDROW) Reads
%   data from rows STARTROW through ENDROW of text file FILENAME.
%
% Example:
%   [key_index,key,value] = importfile1('Privacy-fscore.csv',2, 537);
%
%    See also TEXTSCAN.

% Auto-generated by MATLAB on 2016/11/19 11:44:31

%% Initialize variables.
delimiter = ' ';
if nargin<=2
    startRow = 2;
    endRow = inf;
end

%% Format string for each line of text:
%   column1: double (%f)
%	column2: text (%s)
%   column3: double (%f)
% For more information, see the TEXTSCAN documentation.
formatSpec = '%f%s%f%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'HeaderLines', startRow(1)-1, 'ReturnOnError', false);
for block=2:length(startRow)
    frewind(fileID);
    dataArrayBlock = textscan(fileID, formatSpec, endRow(block)-startRow(block)+1, 'Delimiter', delimiter, 'MultipleDelimsAsOne', true, 'HeaderLines', startRow(block)-1, 'ReturnOnError', false);
    for col=1:length(dataArray)
        dataArray{col} = [dataArray{col};dataArrayBlock{col}];
    end
end

%% Close the text file.
fclose(fileID);

%% Post processing for unimportable data.
% No unimportable data rules were applied during the import, so no post
% processing code is included. To generate code which works for
% unimportable data, select unimportable cells in a file and regenerate the
% script.

%% Allocate imported array to column variable names
key_index = dataArray{:, 1};
key = dataArray{:, 2};
value = dataArray{:, 3};


