function [ap,bp,cp,dp,au,bu,cu,du]=modeler(epsilon,privacy,utility)
% Copyright GIPSA-lab, Grenoble, France
% For all questions contact sophie.cerf@gipsa-lab.fr

global LPPM
global epsilon_modeler
global privacy_modeler
global utility_modeler

epsilon_modeler=epsilon;
privacy_modeler=privacy;
utility_modeler=utility;

%% Initial parameters values (depends on the LPPM)
if length(LPPM)==4 %GeoI:
    ut_init=[1; 1.4; -4; 0.5];
    pr_init=[-1; 0.8; -4; 0.5];
elseif length(LPPM)==8 %Promesse:
    ut_init=[0.4/pi; 0.1; log(3000); 0.2];
    pr_init=[-0.2/pi; 0.1; log(100); 0.9];
elseif length(LPPM)==3 %Wait4Me
    ut_init=[1/pi; 0.1; log(1.5); 0.7];
    pr_init=[-0/pi; 0; 0; 1];
end

%% Utility modeling
theta=fminunc(@f2min_U,ut_init); % Minimise the f2min_U(theta)=error function with initial parameter vector
au=theta(1);
bu=theta(2);
cu=theta(3);
du=theta(4);
%Utility=au*atan(bu*(log(epsilon)-cu))+du; % Definition of parameters a to d

%% privacy
theta=fminunc(@f2min_P,pr_init); % Minimise the f2min_P(theta)=error function with initial parameter vector
ap=theta(1);
bp=theta(2);
cp=theta(3);
dp=theta(4);
%Privacy=ap*atan(bp*(log(epsilon)-cp))+dp; % Definition of parameters a to d