function [privacy, utility]=profiler(LPPM,dataset,nb_user,config_param_values_read,path_to_experiment_directory)

% Defining file names
if length(LPPM)==4
    config_param='epsilon';
    LPPM2='GeoIndistinguishability';
elseif length(LPPM)==8
    config_param='epsilon';
    LPPM2='Promesse';
elseif length(LPPM)==3
    config_param='kk';
    LPPM2='Wait4Me';
end

if length(dataset)==3
    if dataset=='cab'
        dataset2='cabspotting-tree';
    else
        dataset2='mdc-tree-30days';
    end
elseif length(dataset)==7
    dataset2='geolife-tree-30days';
elseif length(dataset)==8
        dataset2='privamov-tree-30days';
end


% Spatial Pois Retrieval F-score
for i=1:length(config_param_values_read)
    if length(dataset)==3 
        if dataset=='cab'
            Pr=import_experiment_file_cab(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/SpatialPoisRetrieval-fscore.csv'],2,nb_user+1);
            priv(i,1:nb_user)=Pr;
        else
            [~,~,Pr]=import_experiment_file(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/SpatialPoisRetrieval-fscore.csv']);
            priv(i,1:nb_user)=Pr;
        end
    else
        [~,~,Pr]=import_experiment_file(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/SpatialPoisRetrieval-fscore.csv']);
        priv(i,1:nb_user)=Pr;
    end
end

% Spatial Area Coverage F-score
for i=1:length(config_param_values_read) 
    if length(dataset)==3 
        if dataset=='cab'
            Ac=import_experiment_file_cab(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/AreaCoverage-fscore.csv'],2,nb_user+1);
            util(i,1:nb_user)=Ac;
        else
            [~,~,Ac]=import_experiment_file(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/AreaCoverage-fscore.csv']);
            util(i,1:nb_user)=Ac;
        end
    else
        [~,~,Ac]=import_experiment_file(['../data/' path_to_experiment_directory '/' LPPM '/' dataset '/' config_param '=' config_param_values_read{i} '/AreaCoverage-fscore.csv']);
        util(i,1:nb_user)=Ac;
    end
end

    privacy=1-priv;
    utility=util;
    
end